Flow

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequired
  • The Id should be a valid app Id of Gupshup.
  • The App must be associated with the account that owns the PARTNER_APP_TOKEN being used
elementNameThe name of a template. Element name is unique for a WABAs namespace.{{ELEMENT_NAME}}StringRequiredelementName (not more than 180char.) Mandatory fields
languageCodeLanguage code for the template. Refer to all the language codes here.{{LANGUAGE_CODE}}StringOptionallanguageCode default value : en\_US
contentThe body of the template.{{CONTENT}}StringRequiredcontent (not more than 1024 char.)
categoryThe category of your template.{{CATEGORY}}StringRequiredCategory Type: MARKETING UTILITY
verticalTEXT{{VERTICAL}}StringRequiredvertical (not more than 180 char.)
templateTypeDOCUMENT{{TEMPLATE_TYPE}}StringRequiredThe type of template: PRODUCT
exampleTemplate Example{{EXAMPLE}}StringRequired
enableSampleRequired for creating all types of templates{{ENABLE_SAMPLE}}true/falseOptionalif enableSample is true then exampleMedia
headerHeader of the template.{{HEADER}}StringOptional
footerFooter of the template. Character limit: 60.{{FOOTER}}StringOptional
exampleHeaderThis is the header{{EXAMPLE_HEADER}}StringOptional
allowTemplateCategoryChangeBoolean value. If True, Meta will automatically update the category of the template as per the template content. Default
value is False.
{{ALLOW_TEMPLATE_CATEGORY_CHANGE}}StringOptional

Sample Request

curl --location 'https://partner.gupshup.io/partner/app/:appId/templates' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--data-urlencode 'elementName=test_flows_1' \
--data-urlencode 'languageCode=en' \
--data-urlencode 'content=Hi {{1}},
Today is the last day of the BIg Billion Day'\''s sale. Make the most out of it!' \
--data-urlencode 'category=MARKETING' \
--data-urlencode 'templateType=IMAGE' \
--data-urlencode 'example=Hi Sam,
Today is the last day of the BIg Billion Day'\''s sale. Make the most out of it!' \
--data-urlencode 'enableSample=true' \
--data-urlencode 'allowTemplateCategoryChange=true' \
--data-urlencode 'vertical=Sample template using Flow button with others' \
--data-urlencode 'buttons=
[
	{
		"type": "FLOW",
		"text": "Share Interests",
    "flow_id": "3961313760791090",
    "flow_action": "NAVIGATE",
    "navigate_screen": "SEGMENTS_SCREEN",
		"icon": "PROMOTION"
   }
]' \
--data-urlencode
'exampleMedia=4::aW1hZ3UvanBlZw==:ARYNMS2RLy7ZxeZdLH6MlbuCHz2bm5naXIbAHYwsJjvrQLKCGZ9LPnNmBC4KYhH2j6WxJEHJ7L6u
vxYsIYonRecvTCm_jyObpUJS-BRgFNcxOQ:e:1749806891:2281283925530161:61551923013914:ARbcT9jwPAS_B423dLM'

Sample Response

{
  "status": "success",
  "template": {
    "appId": "d79ad72e-01f0-98e0-aea4-9f3d60ea2c1e",
    "buttonSupported": "FLOW",
    "category": "MARKETING",
    "containerMeta": {
      "appId": "d79ad72e-01f0-98e0-aea4-9f3d60ea2c1e",
      "data": "Hi {{1}}, \nToday is the last day of the Big Billion Day's sale. Make the most out of it!",
      "buttons": [
        {
          "type": "FLOW",
          "text": "Share Interests",
          "flow_id": "2961313360793010",
          "flow_action": "NAVIGATE",
          "navigate_screen": "SEGMENTS_SCREEN"
        }
      ],
      "sampleText": "Hi Sam, \nToday is the last day of the Big Billion Day's sale. Make the most out of it!",
      "sampleMedia": "4::aW1hZ2UvanBlZw==: ARYNMS2RLy9ZxeZdLH3MlbuCHz2bm5naXIbAHYwsJjvrQLKCGZ9LPnNmBC4KYhH2j6WxJEHJ7L6uvxYsIYonRecvTCm_jyObpUJSBRgFNcxOQ:e:2949806891:2181283925530161:61551923013914:ARbcT9jwPAS_B423dLM",
      "enableSample": true,
      "editTemplate": false,
      "allowTemplateCategoryChange": true,
      "addSecurityRecommendation": false,
      "isCPR": false,
      "cpr": false
    },
    "createdOn": 1749550623322,
    "data": "Hi {{1}}, \nToday is the last day of the Big Billion Day's sale. Make the most out of it! | [Share Interests]",
    "elementName": "test_flows_1",
    "id": "b5ec0148-a2e3-1d96-b280-c1d161a5a0e7",
    "languageCode": "en",
    "languagePolicy": "deterministic",
    "meta": {
      "example": "Hi Sam, \nToday is the last day of the Big Billion Day's sale. Make the most out of it!"
    },
    "modifiedOn": 1749550623322,
    "namespace": "8a499b40_4a56_518c_26fa_1f20f1d6aa18",
    "priority": 1,
    "quality": "UNKNOWN",
    "retry": 0,
    "stage": "NONE",
    "status": "PENDING",
    "templateType": "IMAGE",
    "vertical": "Sample template using Flow button with others",
    "wabaId": "145881286517812"
  }
}

Status Codes

Status CodeResponseComments
Success
200{

"status": "success",
"template": {
"appId": "d79ad72e-01f0-98e0-aea4-9f3d60ea2c1e",
"buttonSupported": "FLOW",
"category": "MARKETING",
"containerMeta": {
"appId": "d79ad72e-01f0-98e0-aea4-9f3d60ea2c1e",
"data": "Hi {{1}}, \nToday is the last day of the Big Billion Day's sale. Make the most out of it!",
"buttons": [
{
"type": "FLOW",
"text": "Share Interests",
"flow_id": "2961313360793010",
"flow_action": "NAVIGATE",
"navigate_screen": "SEGMENTS_SCREEN"
}
],
"sampleText": "Hi Sam, \nToday is the last day of the Big Billion Day's sale. Make the most out of it!",
"sampleMedia": "4::aW1hZ2UvanBlZw==: ARYNMS2RLy9ZxeZdLH3MlbuCHz2bm5naXIbAHYwsJjvrQLKCGZ9LPnNmBC4KYhH2j6WxJEHJ7L6uvxYsIYonRecvTCm_jyObpUJSBRgFNcxOQ:e:2949806891:2181283925530161:61551923013914:ARbcT9jwPAS_B423dLM",
"enableSample": true,
"editTemplate": false,
"allowTemplateCategoryChange": true,
"addSecurityRecommendation": false,
"isCPR": false,
"cpr": false
},
"createdOn": 1749550623322,
"data": "Hi {{1}}, \nToday is the last day of the Big Billion Day's sale. Make the most out of it! | [Share Interests]",
"elementName": "test_flows_1",
"id": "b5ec0148-a2e3-1d96-b280-c1d161a5a0e7",
"languageCode": "en",
"languagePolicy": "deterministic",
"meta": {
"example": "Hi Sam, \nToday is the last day of the Big Billion Day's sale. Make the most out of it!"
},
"modifiedOn": 1749550623322,
"namespace": "8a499b40_4a56_518c_26fa_1f20f1d6aa18",
"priority": 1,
"quality": "UNKNOWN",
"retry": 0,
"stage": "NONE",
"status": "PENDING",
"templateType": "IMAGE",
"vertical": "Sample template using Flow button with others",
"wabaId": "145881286517812"
}
}
Error
429{
"status": "error",
"message": "Too Many Requests"
}
10 Requests per Minute
500{
"status": "error",
"message": "Internal server error. Please try again later and if the Issue still persists then contact Gupshup Dev Support"
}
For any Internal Error
Path Params
string
required

Unique identifier of the app.

Form Data
string
required

The name of a template. Element name is unique for a WABAs namespace.

string

Language code for the template. Refer to all the language codes here.

string
required

The body of the template.

string
required

Template category

string
required

Vertical (not more than 180 char.)

string
required

Template type

string
required

Template example

string

Header of the template.

string
required

This is the header

buttons
object
required

Buttons list

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json